commit d6f77ebeeb50d5643b3c7f0139f3bcf7a9ebcb92
Author: freddy77 <freddy77>
Date:   Mon Jan 25 23:06:59 2010 +0000

    fix windows build out of directory

diff --git a/ChangeLog b/ChangeLog
index 8ad300a..ae1d77e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jan 26 00:06:54 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/Makefile.am: fix windows build out of directory
+
 Tue Jan 26 00:05:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/ctlib.h include/dblib.h include/des.h include/hmac_md5.h:
 	* include/md4.h include/md5.h include/replacements.h:
@@ -2178,4 +2181,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2952 2010/01/25 23:05:58 freddy77 Exp $
+$Id: ChangeLog,v 1.2953 2010/01/25 23:06:59 freddy77 Exp $
diff --git a/src/odbc/Makefile.am b/src/odbc/Makefile.am
index 56cecf5..3b84e59 100644
--- a/src/odbc/Makefile.am
+++ b/src/odbc/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.46 2008/07/07 11:27:12 freddy77 Exp $
+# $Id: Makefile.am,v 1.47 2010/01/25 23:06:59 freddy77 Exp $
 SUBDIRS		= unittests
 AM_CPPFLAGS	=	-I$(top_srcdir)/include $(ODBC_INC)
 
@@ -15,10 +15,10 @@ libtdsodbc_la_SOURCES=	odbc.c connectparams.c convert_tds2sql.c \
 if MINGW32
 libtdsodbc_la_LIBADD=	../../win32/setup.res ../tds/libtds.la ../replacements/libreplacements.la $(ODBCINSTLIB) \
 	$(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
-libtdsodbc_la_LDFLAGS = -Wl,--enable-stdcall-fixup -Wl,-s -Wl,../../win32/FreeTDS.def -Wl,../../win32/setup.res $(FREETDS_SYMBOLIC)
+libtdsodbc_la_LDFLAGS = -Wl,--enable-stdcall-fixup -Wl,-s -Wl,$(top_srcdir)/win32/FreeTDS.def -Wl,../../win32/setup.res $(FREETDS_SYMBOLIC)
 
 .rc.res:
-	$(RC) -i $< --input-format=rc -o $@ -O coff
+	$(RC) -i $< -I $(top_builddir)/win32 --input-format=rc -o $@ -O coff
 else
 libtdsodbc_la_LIBADD=	../tds/libtds.la ../replacements/libreplacements.la $(ODBCINSTLIB) $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
 if MACOSX

